package com.bonus.canteen.core.order.common.service;


import com.bonus.canteen.core.order.common.model.OrderShoppingCart;
import com.bonus.canteen.core.order.mobile.dto.OrderShoppingSearchDTO;

import java.util.Collection;
import java.util.List;

public interface OrderShoppingCartService {
   List<OrderShoppingCart> listByCust(OrderShoppingSearchDTO param);

   void plusQuantity(Long shoppingCartId, Integer quantity);

   void insert(OrderShoppingCart entity) ;

   void updateQuantity(Long shoppingCartId, Integer quantity);

   void removeByIds(Collection<Long> shoppingCartIds);

   void removeByCust(Long custId, Integer orderType, List<Long> canteenId);

   List<OrderShoppingCart> listByIds(List<Long> shoppingCartIds);

}
